#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    vector<int> a(n);
    for(int i=0;i<n;i++)
        cin>>a[i];
    int q,l,r;
    cin>>q;
    while(q--)
    {
        cin>>l>>r;
        l--,r--;
        if(l==r)
        {
            cout << "DA" << endl;
            continue;
        }
        int cnt=0,Max=a[l];
        if(a[l]>a[l+1])
        {
            cnt=1;
            Max=a[l+1];
        }
        for(int i=l+1;cnt<2&&i<=r;i++)
        {
            if(a[i]<Max)
            {
                cnt++;
                Max=a[i-1];
            }
            else
                Max=a[i];
        }
        if(cnt<2)
            cout << "DA" << endl;
        else
            cout << "NE" << endl;
    }
    return 0;
}